DICOMTOCSV(1)

NAME
dicomtocsv - vtk-dicom CLI

DESCRIPTION

  usage:

    dicomtocsv [options] <directory>

  options:

-k tag=value
    Provide a tag or key to be queried and matched.

-q <query.txt>
    Provide a file to describe the find query.

-u <uids.txt>
    Provide a file that contains a list of UIDs.

-o <data.csv>
    Provide a file for the query results.

-maxdepth n
    Set the maximum directory depth for search.

--default
    Add to default query instead of replacing it.

--first-nonzero
    Search series for first nonzero value of each key.

--all-unique
    Report all unique values within each series.

--min-value
    Report the minimum value within each series.

--max-value
    Report the maximum value within each series.

--directory-only
    Do not scan files if DICOMDIR is present.

--ignore-dicomdir Ignore the DICOMDIR file even if it is present.

--charset <cs>
    Charset to use if SpecificCharacterSet is missing.

--images-only
    Only list files that have PixelData or equivalent.

--noheader
    Do not print the csv header.

--study
    Print one row for each study.

--series
    Print one row for each series (default).

--image
    Print one row for each image.

--silent
    Do not report any progress information.

--help
    Print a brief help message.

--version
    Print the software version.

Dump selected metadata from a DICOM directory to a csv file.

For each attribute to be extracted, the tag can be given with "-k" (the "-k" option can be repeated as many times as needed). Tags can given in hexadecimal GGGG,EEEE format, or in text format as specified in the DICOM dictionary key. Alternately, the tags can be listed in a query file given with the "-q" option (one tag per line). Attributes nested within sequences can be specified by giving a tag path e.g. "-k Tag1/Tag2/Tag3". Either a forward slash or a backslash can be used to separate the components of the path. Private tags should be preceded by the private dictionary name in square brackets.

If the same tag is given more than once with "-k" (or if the tag is listed multiple times in the query file, or appears in both the query file and as a "-k" option), then its first appearance will set the column number that it appears in. Also, with regards to the search, the value specified in the final appearance of the tag as an option will be the value used for the search.

If no attributes are specified with either "-k" or "-q", then a default set of query attributes will be used.

AUTHOR
This manual page was written by Mathieu Malaterre <malat@debian.org> for the Debian GNU/Linux system, but may be used by others.